Summary:	Implementation of the SRS specification
Summary(pl.UTF-8):	Implementacja specyfikacji SRS
Name:		libsrs_alt
Version:	1.0
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://opsec.eu/src/srs/%{name}-%{version}.tar.bz2
# Source0-md5:	6d1539eeba08dffe83f92ac38e229dda
URL:		http://opsec.eu/src/srs/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libsrs_alt is an implementation of the SRS specification as found at
http://spf.pobox.com/srs.html.

%description -l pl.UTF-8
Libsrs_alt jest implementacją specyfikacji SRS, która znajduje się pod
adresem http://spf.pobox.com/srs.html.

%package devel
Summary:	Header files for libsrs_alt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsrs_alt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libsrs_alt library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsrs_alt.

%package static
Summary:	Static libsrs_alt library
Summary(pl.UTF-8):	Statyczna biblioteka libsrs_alt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libsrs_alt library.

%description static -l pl.UTF-8
Statyczna biblioteka libsrs_alt.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/srs
%attr(755,root,root) %{_libdir}/libsrs_alt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsrs_alt.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsrs_alt.so
%{_libdir}/libsrs_alt.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libsrs_alt.a
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsrs_alt.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> bbd3d57
- x32 rebuild
- release 3 (by relup.sh)

* Sat Oct 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7492943
- srs.mirtol.com no longer exists

* Thu Feb 21 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 12d22c6
- rel 2; rebuild

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> a412e51
- BR: libstdc++-devel

* Sun Aug 17 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 51ae27a
- updated to 1.0
- more verbose files

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4ce5f85
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d6f04de
- converted to UTF-8

* Mon Oct 03 2005 Jakub Bogusz <qboosh@pld-linux.org> 7fba58e
- outdated

* Thu Sep 29 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 127c0c5
- up to 1.0rc1a

* Fri Jul 01 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> cf77640
- up to 1.0rc1

* Fri Jul 01 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 01e15e1
- up to 1.0rc1

* Wed Mar 23 2005 Elan Ruusamäe <glen@pld-linux.org> 4ced84d
- dropped SourceX-size

* Thu Oct 07 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> f11da77
- updated

* Thu Oct 07 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> de6187c
- updated to 0.5

* Wed Aug 04 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 015e610
- updated to 0.4

* Wed Aug 04 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 33f0c11
- update

* Sun Jul 18 2004 Jakub Bogusz <qboosh@pld-linux.org> ea9227b
- fixed copy-pasto in descs

* Sun Jul 18 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> b4608d0
- initial pld release

* Sun Jul 18 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 7cd7e10
- new

